---
- name: "Configurer interfaces"
  gather_facts: no
  hosts: routers
  tasks:

    - name: "Configurer interface gig2"
      when: "inventory_hostname == 'csr1kv1'"
      ios_config:
        parents:
          - "interface GigabitEthernet2"
        lines:
          - "ip address 192.168.200.1 255.255.255.0"
  
    - name: "Configurer interface gig2"
      when: "inventory_hostname == 'csr1kv2'"
      ios_config:
        parents:
          - "interface GigabitEthernet2"
        lines:
          - "ip address 192.168.200.2 255.255.255.0"

    - ios_interface:
        name: "GigabitEthernet2"
        state: up
